"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _rimraf = _interopRequireDefault(require("rimraf"));

var _storyboard = require("storyboard");

var _readSpecs = require("./utils/readSpecs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const run = async ({
  src,
  ignoreSrc
}) => {
  const allSpecs = await (0, _readSpecs.readAllSpecs)(src, ignoreSrc);
  const pkgNames = Object.keys(allSpecs);
  await Promise.all(pkgNames.map(pkgName => new Promise((resolve, reject) => {
    const {
      pkgPath
    } = allSpecs[pkgName];

    const nodeModulesPath = _path.default.join(pkgPath, 'node_modules');

    _storyboard.mainStory.info(`Removing ${_storyboard.chalk.cyan.bold(nodeModulesPath)}...`);

    (0, _rimraf.default)(nodeModulesPath, err => {
      if (err) {
        reject(err);
        return;
      }

      resolve();
    });
  })));
};

var _default = run;
exports.default = _default;