"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _globby = _interopRequireDefault(require("globby"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const listPaths = async (src, ignoreSrc) => {
  const patterns = Array.isArray(src) ? src : [src];
  if (ignoreSrc) patterns.push(`!${ignoreSrc}`);
  const paths = await (0, _globby.default)(patterns);
  return paths.filter(filePath => {
    try {
      return _fs.default.statSync(_path.default.resolve(process.cwd(), filePath)).isDirectory() && _fs.default.existsSync(_path.default.resolve(process.cwd(), filePath, 'package.json'));
    } catch (err) {
      return false;
    }
  }).map(filePath => filePath === '/' || filePath[filePath.length - 1] !== '/' ? filePath : filePath.slice(0, -1));
};

var _default = listPaths;
exports.default = _default;